Package com.ngrok.services

# Class EdgesHttps.CreateCallBuilder

java.lang.Object
com.ngrok.services.EdgesHttps.CreateCallBuilder

Enclosing class:
  EdgesHttps

public class EdgesHttps.CreateCallBuilder extends Object
A builder object encapsulating state for an unsent Create API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HttpsEdge`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<HttpsEdge>`
  `call()`
  Initiates the API call asynchronously.
  `EdgesHttps.CreateCallBuilder`
  `description(String description)`
  human-readable description of what this edge will be used for; optional, max 255 bytes.
  `EdgesHttps.CreateCallBuilder`
  `description(Optional<String> description)`
  human-readable description of what this edge will be used for; optional, max 255 bytes.
  `EdgesHttps.CreateCallBuilder`
  `hostports(List<String> hostports)`
  hostports served by this edge
  `EdgesHttps.CreateCallBuilder`
  `hostports(Optional<List<String>> hostports)`
  hostports served by this edge
  `EdgesHttps.CreateCallBuilder`
  `metadata(String metadata)`
  arbitrary user-defined machine-readable data of this edge; optional, max 4096 bytes.
  `EdgesHttps.CreateCallBuilder`
  `metadata(Optional<String> metadata)`
  arbitrary user-defined machine-readable data of this edge; optional, max 4096 bytes.
  `EdgesHttps.CreateCallBuilder`
  `mutualTls(EndpointMutualTlsMutate mutualTls)`
  edge modules
  `EdgesHttps.CreateCallBuilder`
  `mutualTls(Optional<EndpointMutualTlsMutate> mutualTls)`
  edge modules
  `EdgesHttps.CreateCallBuilder`
  `tlsTermination(EndpointTlsTerminationAtEdge tlsTermination)`
  Sets the `tls_termination` parameter.
  `EdgesHttps.CreateCallBuilder`
  `tlsTermination(Optional<EndpointTlsTerminationAtEdge> tlsTermination)`
  Sets (or unsets) the `tls_termination` parameter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### description

    public EdgesHttps.CreateCallBuilder description(String description)
    human-readable description of what this edge will be used for; optional, max 255 bytes.
    Parameters:
      `description` - the value of the description parameter as a `String`
    Returns:
      the call builder instance

  - ### description

    public EdgesHttps.CreateCallBuilder description(Optional<String> description)
    human-readable description of what this edge will be used for; optional, max 255 bytes.
    Parameters:
      `description` - the value of the description parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### metadata

    public EdgesHttps.CreateCallBuilder metadata(String metadata)
    arbitrary user-defined machine-readable data of this edge; optional, max 4096 bytes.
    Parameters:
      `metadata` - the value of the metadata parameter as a `String`
    Returns:
      the call builder instance

  - ### metadata

    public EdgesHttps.CreateCallBuilder metadata(Optional<String> metadata)
    arbitrary user-defined machine-readable data of this edge; optional, max 4096 bytes.
    Parameters:
      `metadata` - the value of the metadata parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### hostports

    public EdgesHttps.CreateCallBuilder hostports(List<String> hostports)
    hostports served by this edge
    Parameters:
      `hostports` - the value of the hostports parameter as a `List` of `String`
    Returns:
      the call builder instance

  - ### hostports

    public EdgesHttps.CreateCallBuilder hostports(Optional<List<String>> hostports)
    hostports served by this edge
    Parameters:
      `hostports` - the value of the hostports parameter as an `Optional` of `List` of `String`
    Returns:
      the call builder instance

  - ### mutualTls

    public EdgesHttps.CreateCallBuilder mutualTls(EndpointMutualTlsMutate mutualTls)
    edge modules
    Parameters:
      `mutualTls` - the value of the mutual_tls parameter as a `EndpointMutualTlsMutate`
    Returns:
      the call builder instance

  - ### mutualTls

    public EdgesHttps.CreateCallBuilder mutualTls(Optional<EndpointMutualTlsMutate> mutualTls)
    edge modules
    Parameters:
      `mutualTls` - the value of the mutual_tls parameter as an `Optional` of `EndpointMutualTlsMutate`
    Returns:
      the call builder instance

  - ### tlsTermination

    public EdgesHttps.CreateCallBuilder tlsTermination(EndpointTlsTerminationAtEdge tlsTermination)
    Sets the `tls_termination` parameter.
    Parameters:
      `tlsTermination` - the value of the tls_termination parameter as a `EndpointTlsTerminationAtEdge`
    Returns:
      the call builder instance

  - ### tlsTermination

    public EdgesHttps.CreateCallBuilder tlsTermination(Optional<EndpointTlsTerminationAtEdge> tlsTermination)
    Sets (or unsets) the `tls_termination` parameter.
    Parameters:
      `tlsTermination` - the value of the tls_termination parameter as an `Optional` of `EndpointTlsTerminationAtEdge`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<HttpsEdge> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `HttpsEdge`

  - ### blockingCall

    public HttpsEdge blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `HttpsEdge`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call